org.bdgenomics.adam.rdd.contig

# NucleotideContigFragmentRDD

###
Related Doc: package contig

#### case class NucleotideContigFragmentRDD(rdd: RDD[NucleotideContigFragment], sequences: SequenceDictionary) extends AvroGenomicRDD[NucleotideContigFragment, NucleotideContigFragmentRDD] with ReferenceFile with Product with Serializable

A wrapper class for RDD[NucleotideContigFragment]. NucleotideContigFragmentRDD extends ReferenceFile. To specifically access a ReferenceFile within an RDD, refer to:

rdd

  Underlying RDD

sequences

  Sequence dictionary computed from rdd

See also

  ReferenceContigMap

Linear Supertypes
Product, Equals, ReferenceFile, AvroGenomicRDD[NucleotideContigFragment, NucleotideContigFragmentRDD], GenomicRDD[NucleotideContigFragment, NucleotideContigFragmentRDD], ADAMRDDFunctions[NucleotideContigFragment], Logging, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NucleotideContigFragmentRDD
2. Product
3. Equals
4. ReferenceFile
5. AvroGenomicRDD
6. GenomicRDD
7. ADAMRDDFunctions
8. Logging
9. Serializable
10. Serializable
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NucleotideContigFragmentRDD(rdd: RDD[NucleotideContigFragment], sequences: SequenceDictionary)

   rdd

     Underlying RDD

   sequences

     Sequence dictionary computed from rdd

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(NucleotideContigFragment, X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(NucleotideContigFragment, X), Z]

   Performs a broadcast inner join between this RDD and another RDD.

   Performs a broadcast inner join between this RDD and another RDD.

   In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

   genomicRdd

     The right RDD in the join.

   returns

     Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicRDD

6. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Iterable[NucleotideContigFragment], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(Iterable[NucleotideContigFragment], X), Z]

   Performs a broadcast inner join between this RDD and another RDD.

   Performs a broadcast inner join between this RDD and another RDD.

   In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

   genomicRdd

     The right RDD in the join.

   returns

     Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicRDD

7. #### def buildTree(rdd: RDD[(ReferenceRegion, NucleotideContigFragment)])(implicit tTag: ClassTag[NucleotideContigFragment]): IntervalArray[ReferenceRegion, NucleotideContigFragment]

   Attributes
     protected
   Definition Classes
     NucleotideContigFragmentRDD → GenomicRDD

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def countKmers(kmerLength: Int): RDD[(String, Long)]

   Counts the k-mers contained in a FASTA contig.

   Counts the k-mers contained in a FASTA contig.

   kmerLength

     The length of k-mers to count.

   returns

     Returns an RDD containing k-mer/count pairs.

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def extract(region: ReferenceRegion): String

    From a set of contigs, returns the base sequence that corresponds to a region of the reference.

    From a set of contigs, returns the base sequence that corresponds to a region of the reference.

    region

      Reference region over which to get sequence.

    returns

      String of bases corresponding to reference sequence.

    Definition Classes
      NucleotideContigFragmentRDD → ReferenceFile
    Exceptions thrown

      `UnsupportedOperationException` Throws exception if query region is not found.

12. #### def filterByOverlappingRegion(query: ReferenceRegion): NucleotideContigFragmentRDD

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the query region.

    Definition Classes
      GenomicRDD

13. #### def filterByOverlappingRegions(querys: List[ReferenceRegion]): NucleotideContigFragmentRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicRDD

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def flankAdjacentFragments(flankLength: Int): NucleotideContigFragmentRDD

    For all adjacent records in the RDD, we extend the records so that the adjacent records now overlap by _n_ bases, where _n_ is the flank length.

    For all adjacent records in the RDD, we extend the records so that the adjacent records now overlap by _n_ bases, where _n_ is the flank length.

    flankLength

      The length to extend adjacent records by.

    returns

      Returns the RDD, with all adjacent fragments extended with flanking sequence.

16. #### def flattenRddByRegions(): RDD[(ReferenceRegion, NucleotideContigFragment)]

    Attributes
      protected
    Definition Classes
      GenomicRDD

17. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[NucleotideContigFragment], Option[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(Option[NucleotideContigFragment], Option[X]), Z]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getReferenceRegions(elem: NucleotideContigFragment): Seq[ReferenceRegion]

    elem

      Fragment to extract a region from.

    returns

      If a fragment is aligned to a reference location, returns a single reference region. If the fragment start position and name is not defined, returns no regions.

    Attributes
      protected
    Definition Classes
      NucleotideContigFragmentRDD → GenomicRDD

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

22. #### lazy val jrdd: JavaRDD[NucleotideContigFragment]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicRDD

23. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(NucleotideContigFragment, Option[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(NucleotideContigFragment, Option[X]), Z]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

24. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

32. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

33. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

34. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

35. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

36. #### def mergeFragments(): NucleotideContigFragmentRDD

    Merge fragments by contig name.

    Merge fragments by contig name.

    returns

      Returns a NucleotideContigFragmentRDD containing a single fragment per contig.

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[NucleotideContigFragment, NucleotideContigFragmentRDD, V]](cmd: String, files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0)(implicit tFormatterCompanion: InFormatterCompanion[NucleotideContigFragment, NucleotideContigFragmentRDD, V], xFormatter: OutFormatter[X], convFn: (NucleotideContigFragmentRDD, RDD[X]) ⇒ Y, tManifest: ClassTag[NucleotideContigFragment], xManifest: ClassTag[X]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicRDD. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

41. #### val rdd: RDD[NucleotideContigFragment]

    Underlying RDD

    Underlying RDD

    Definition Classes
      NucleotideContigFragmentRDD → GenomicRDD → ADAMRDDFunctions

42. #### def replaceRdd(newRdd: RDD[NucleotideContigFragment]): NucleotideContigFragmentRDD

    Replaces the underlying RDD with a new RDD.

    Replaces the underlying RDD with a new RDD.

    newRdd

      The RDD to use for the new NucleotideContigFragmentRDD.

    returns

      Returns a new NucleotideContigFragmentRDD where the underlying RDD has been replaced.

    Attributes
      protected
    Definition Classes
      NucleotideContigFragmentRDD → GenomicRDD

43. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[NucleotideContigFragment], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(Option[NucleotideContigFragment], X), Z]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

44. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Iterable[NucleotideContigFragment], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(Iterable[NucleotideContigFragment], X), Z]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

45. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[NucleotideContigFragment], X), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(Option[NucleotideContigFragment], X), Z]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

46. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[NucleotideContigFragment], Iterable[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(Option[NucleotideContigFragment], Iterable[X]), Z]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

47. #### def save(fileName: String): Unit

    Save nucleotide contig fragments as Parquet or FASTA.

    Save nucleotide contig fragments as Parquet or FASTA.

    If filename ends in .fa or .fasta, saves as Fasta. If not, saves fragments to Parquet. Defaults to 60 character line length, if saving to FASTA.

    fileName

      file name

48. #### def saveAsFasta(fileName: String, lineWidth: Int = 60): Unit

    Save nucleotide contig fragments in FASTA format.

    Save nucleotide contig fragments in FASTA format.

    fileName

      file name

    lineWidth

      hard wrap FASTA formatted sequence at line width, default 60

49. #### def saveAsParquet(filePath: String): Unit

    Saves this RDD to disk as a Parquet file.

    Saves this RDD to disk as a Parquet file.

    filePath

      Path to save the file at.

    Definition Classes
      AvroGenomicRDD

50. #### def saveAsParquet(filePath: String, blockSize: Integer, pageSize: Integer, compressCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

    Saves this RDD to disk as a Parquet file.

    Saves this RDD to disk as a Parquet file.

    filePath

      Path to save the file at.

    blockSize

      Size per block.

    pageSize

      Size per page.

    compressCodec

      Name of the compression codec to use.

    disableDictionaryEncoding

      Whether or not to disable bit-packing.

    Definition Classes
      AvroGenomicRDD

51. #### def saveAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

    Saves this RDD to disk as a Parquet file.

    Saves this RDD to disk as a Parquet file.

    filePath

      Path to save the file at.

    blockSize

      Size per block.

    pageSize

      Size per page.

    compressCodec

      Name of the compression codec to use.

    disableDictionaryEncoding

      Whether or not to disable bit-packing. Default is false.

    Definition Classes
      AvroGenomicRDD

52. #### def saveAsParquet(args: SaveArgs): Unit

    Saves RDD as a directory of Parquet files.

    Saves RDD as a directory of Parquet files.

    The RDD is written as a directory of Parquet files, with Parquet configuration described by the input param args. The provided sequence dictionary is written at args.outputPath/_seqdict.avro as Avro binary.

    args

      Save configuration arguments.

    Definition Classes
      AvroGenomicRDD

53. #### def saveAvro[U <: SpecificRecordBase](filename: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

    Saves Avro data to a Hadoop file system.

    Saves Avro data to a Hadoop file system.

    This method uses a SparkContext to identify our underlying file system, which we then save to.

    Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

    U

      The type of the specific record we are saving.

    filename

      Path to save records to.

    sc

      SparkContext used for identifying underlying file system.

    schema

      Schema of records we are saving.

    avro

      Seq of records we are saving.

    Attributes
      protected
    Definition Classes
      ADAMRDDFunctions

54. #### def saveMetadata(filePath: String): Unit

    Called in saveAsParquet after saving RDD to Parquet to save metadata.

    Called in saveAsParquet after saving RDD to Parquet to save metadata.

    Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

    Attributes
      protected
    Definition Classes
      AvroGenomicRDD

55. #### def saveRddAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, schema: Option[Schema] = None): Unit

    Saves an RDD of Avro data to Parquet.

    Saves an RDD of Avro data to Parquet.

    filePath

      The path to save the file to.

    blockSize

      The size in bytes of blocks to write.

    pageSize

      The size in bytes of pages to write.

    compressCodec

      The compression codec to apply to pages.

    disableDictionaryEncoding

      If false, dictionary encoding is used. If true, delta encoding is used.

    schema

      The schema to set.

    Attributes
      protected
    Definition Classes
      ADAMRDDFunctions

56. #### def saveRddAsParquet(args: SaveArgs): Unit

    Attributes
      protected
    Definition Classes
      ADAMRDDFunctions

57. #### val sequences: SequenceDictionary

    Sequence dictionary computed from rdd

    Sequence dictionary computed from rdd

    Definition Classes
      NucleotideContigFragmentRDD → ReferenceFile → GenomicRDD

58. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(NucleotideContigFragment, X), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(NucleotideContigFragment, X), Z]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

59. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(NucleotideContigFragment, Iterable[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[NucleotideContigFragment], xTag: ClassTag[X]): GenomicRDD[(NucleotideContigFragment, Iterable[X]), Z]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

60. #### def sort(): NucleotideContigFragmentRDD

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Does not support data that is unaligned or where objects align to multiple positions.

    See also

      sortLexicographically

61. #### def sortLexicographically(): NucleotideContigFragmentRDD

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Does not support data that is unaligned or where objects align to multiple positions.

    See also

      sort

62. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

63. #### def toReads: RDD[AlignmentRecord]

    Converts an RDD of nucleotide contig fragments into reads.

    Converts an RDD of nucleotide contig fragments into reads. Adjacent contig fragments are combined.

    returns

      Returns an RDD of reads.

64. #### def transform(tFn: (RDD[NucleotideContigFragment]) ⇒ RDD[NucleotideContigFragment]): NucleotideContigFragmentRDD

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

65. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

66. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

67. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from ReferenceFile

### Inherited from AvroGenomicRDD[NucleotideContigFragment, NucleotideContigFragmentRDD]

### Inherited from GenomicRDD[NucleotideContigFragment, NucleotideContigFragmentRDD]

### Inherited from ADAMRDDFunctions[NucleotideContigFragment]

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped